# Auto-generated file -- DO NOT EDIT!!!!!

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=head1 NAME

Lucy::Search::PhraseQuery - Query matching an ordered list of terms.

=head1 SYNOPSIS

    my $phrase_query = Lucy::Search::PhraseQuery->new( 
        field => 'content',
        terms => [qw( the who )],
    );
    my $hits = $searcher->hits( query => $phrase_query );



=head1 DESCRIPTION

PhraseQuery is a subclass of L<Lucy::Search::Query> for matching
against an ordered sequence of terms.

=head1 CONSTRUCTORS

=head2 new( I<[labeled params]> )

=over

=item *

B<field> - The field that the phrase must occur in.

=item *

B<terms> - The ordered array of terms that must match.

=back





=head1 METHODS

=head2 get_field()

Accessor for object's field attribute.

=head2 get_terms()

Accessor for object's array of terms.



=head1 INHERITANCE

Lucy::Search::PhraseQuery isa L<Lucy::Search::Query> isa L<Lucy::Object::Obj>.


=cut

